Subject: Re: [OSPF] New Version Notification for draft-shao-ospf-mi-mib-00

From: [email-masked]
Date: Tue, 19 Oct 2010 10:18:46 +0800

thanks for your comments.

i don't know the reason why not add the instance ID to protocol MIBs.

The ospf multi-instance protocol  draft is active and discussed now, and 
the multi-instance is developed .Some of the device with multi-instance 
has business 

deploment. i think it's time and necessary to define the OSPF 
multi-instance MIB for development convenience and standardization.

have a good day

Acee Lindem <[email-masked]> 
2010-10-19 09:50

收件人
"<[email-masked]>"
抄送
"[email-masked]" <[email-masked]>
主题
Re: [OSPF] New Version Notification for draft-shao-ospf-mi-mib-00

Hi Fangwei,
We decided not to add an Instance ID to  years ago for protocol MIBs. I 
can't see why we'd revisit this decision now.
Thanks,
Acee

On Oct 18, 2010, at 8:51 PM, <[email-masked]<
mailto:[email-masked]>> wrote:

HI, all

The latest OSPF v2 MIB(RFC4750) doesn't support OSPF multi-instance, the 
new draft  draft-shao-ospf-mi-mib-00 is designed to support OSPFv2 
multi-instance by extending

new objects, comments are appreciately welcomed!

----- 转发人 胡方伟175772/user/zte_ltd 时间 2010-10-19 08:36 -----
IETF I-D Submission Tool <[email-masked]<
mailto:[email-masked]>>

2010-10-15 13:58

收件人
        [email-masked]<mailto:[email-masked]>
抄送
        [email-masked]<mailto:[email-masked]>
主题
        New Version Notification for draft-shao-ospf-mi-mib-00

A new version of I-D, draft-shao-ospf-mi-mib-00.txt has been successfully 
submitted by fangwei hu and posted to the IETF repository.

Filename:                  draft-shao-ospf-mi-mib
Revision:                  00
Title:                                   OSPF Version 2 Multiple Instance 
Management Information Base
Creation_date:                  2010-10-12
WG ID:                                   Independent Submission
Number_of_pages: 95

Abstract:
The OSPF MIB defined by the IETF (RFC 1850) was designed to work with
only one OSPF process/instance on a given router.

It currently doesn't offer a mechanism to access ospf mib obejects of
different instances.  For example, there is only a single
ospfRouterId object, not a table of them.

In order to handle multiple instances, RFC 4750 suggests that you use
SNMPv3 contexts to provide per-instance views.  This document
introduces a way for OSPF MIB to support multiple instance, no mater
in SNMPv2 or SNMPv3 contexts, by adding the object ospfProcId into
every OSPF MIB group.  According to the specified ospfProcId, other
obejects in this OSPF instance can be accessed.

The IETF Secretariat.

<ATT00001..txt>